Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 17 Aug 2018 13:03:46 +0200

On Fri, Aug 17, 2018 at 12:44 PM, Hannes Kröger
<[email-masked]> wrote:
> ok, when I put
>
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"
>
> into /etc/x2go/x2goagent.options then paraview starts without errors.
>
> But the comment says:
> "Disable BIG-REQUESTS, nx-libs does not implement this extension
> correctly. Leads to all sorts of weird crashes if left enabled."
> Is this still true? Do I have to fear all sorts of weird crashes?

Yes, unfortunately this is still true. I am unsure what exactly the
problems are. But we have apps that crash with the extension enabled.
And we have some apps that crash with the extension disabled ;-(

Uli